Subject: bug#23012: add option to specific locale to sort

From: Paul Eggert <[email-masked]>
Date: Mon, 14 Mar 2016 11:39:37 -0700

On 03/14/2016 11:02 AM, John Heidemann wrote:
> A test case that exhibits locale-specific oddness, with current sort:
>
> ... LC_COLLATE=C sort ...
>
> And the happeniess that ensues from control without environment variables:
>
> ... sort --locale=C ...
>

I dunno, these approaches seem about the same to me. And 'LC_ALL=C sort' 
is standardized whereas 'sort --locale=C' is not, which is a significant 
advantage for portable scripts. And if we added the --locale option to 
'sort', for consistency we'd need to add it to uniq, awk, grep, etc., 
etc., and document all this, and explain why there are two ways to 
specify the same thing and that one overrides the other, etc., etc. Is 
the minor benefit worth all this hassle?